import _ from 'lodash';
declare const _default: {
    props: {
        isEdit: {
            type: BooleanConstructor;
        };
        editIndex: {
            type: NumberConstructor;
        };
        client: {};
        events: {
            type: ArrayConstructor;
        };
        type: {
            type: StringConstructor;
            required: boolean;
            validator(value: any): boolean;
        };
        projectId: {};
        buildDelegateExpression: {
            type: FunctionConstructor;
        };
        store: {};
        doSelect: {
            type: FunctionConstructor;
        };
    };
    data(): {
        events_clone: any;
        dialogVisible: boolean;
        config: any;
        eventType: {
            process: {
                start: {
                    name: string;
                    title: string;
                };
                end: {
                    name: string;
                    title: string;
                };
            };
            task: {
                start: {
                    name: string;
                    title: string;
                };
                create: {
                    name: string;
                    title: string;
                };
                complete: {
                    name: string;
                    title: string;
                };
                end: {
                    name: string;
                    title: string;
                };
            };
            processAct: {
                ACTIVITY_STARTED: {
                    name: string;
                    title: string;
                };
                TASK_CREATED: {
                    name: string;
                    title: string;
                };
                TASK_COMPLETED: {
                    name: string;
                    title: string;
                };
                ACTIVITY_COMPLETED: {
                    name: string;
                    title: string;
                };
            };
            actionTypes: {
                default: {
                    title: string;
                    id: string;
                };
                fun: {
                    title: string;
                    id: string;
                };
            };
        };
        formData: {
            newEventName: string;
            newEventHandler: string;
            newEventConfigType: string;
            newEventFuns: any[];
        };
        eventHandlerMap: any;
        currentHoverRowIndex: number;
        cascOptions: any[];
        selectOptions: any[];
        apiId: any;
    };
    watch: {
        events(val: any): void;
    };
    mounted(): void;
    methods: {
        selectFun(): Promise<void>;
        open(): void;
        buildEventHandlerMap(): _.Dictionary<any>;
        addEvent(formName: any): void;
        updateEvent(formName: any): void;
        handleClose(item: any, index: any): void;
    };
};
export default _default;
